/*
**                      Softwarepraktikum iMaze
**                              1993/94
**                Joerg Czeranski    Hans-Ulrich Kiel
**
** Datei: X_farben.h
**
** benoetigt:
**  farben.h
**
** Kommentar:
**  Definiert Indizes/Offsets aller Farben fuer die X11-Farbtabelle
*/


static char sccsid_X_farben[] = "@(#)X_farben.h	1.7 08/29/94";


#define RANDFARBE          0
#define HIMMELFARBE        1
#define BODENFARBE         2
#define SCHATTENFARBE      3
#define KUGELRANDFARBE     4
#define KOMPASSFARBE1      5
#define KOMPASSFARBE2      6
#define KOMPASSZEIGERFARBE 7

#define WANDFARBEN         8 /* Offset */
#define KUGELFARBEN        (WANDFARBEN + WANDFARBENANZ) /* Offset */
#define KUGELGFARBEN       (KUGELFARBEN + KUGELFARBENANZ) /* Offset */
#define FARBENANZ          (KUGELGFARBEN + KUGELFARBENANZ) + 1

/* Farben fuer Schwarz/Weiss und div. Rasterstufen*/
#define SCHWARZ 0
#define WEISS   1
#define RASTER  2 /* Offset */


extern char *defaultfarben[FARBENANZ];  /* Namen der X11-Farben */
extern int sw_defaultfarben[FARBENANZ]; /* Indizes auf sw_raster */
extern unsigned char sw_raster[][8];    /* Grauraster-Beschreibung fuer X11 */
