/*
**                      Softwarepraktikum iMaze
**                              1993/94
**                Joerg Czeranski    Hans-Ulrich Kiel
**
** Datei: netzwerk.h
**
** Kommentar:
**  Definition der Prototypen fuer den Netzwerkteil
*/


static char sccsid_netzwerk[] = "@(#)netzwerk.h	1.5 11/22/94";


/* Prototypen fuer globale Netzwerk-Funktionen */

#ifdef __STDC__

int netzwerk_init(int *argc, char **argv);
int verbindung_aufbauen(char *server_name);
int prolog_paket_senden(int paket_laenge, void *paket);
int prolog_paket_empfangen(int *paket_laenge, void **paket);
int verbindung_auf_spiel(void);
int spiel_paket_senden(int paket_laenge, void *paket);
int spiel_paket_erwarten(int ms);
void verbindung_beenden(void);
void netzwerk_ende(void);
int spiel_paket_angekommen(int paket_laenge, void *paket);
void *spiel_deskriptor(void);

#else

int netzwerk_init();
int verbindung_aufbauen();
int prolog_paket_senden();
int prolog_paket_empfangen();
int verbindung_auf_spiel();
int spiel_paket_senden();
int spiel_paket_erwarten();
void verbindung_beenden();
void netzwerk_ende();
int spiel_paket_angekommen();
void *spiel_deskriptor();

#endif
