/*
**                      Softwarepraktikum iMaze
**                              1993/94
**                Joerg Czeranski    Hans-Ulrich Kiel
**
** Datei: ereignisse.h
**
** Kommentar:
**  Definiert moegliche Ausgabe-Signale (Ereignisse, die mit
**  Sounds/Grafikeffekten o.ae. versehen werden koennen)
*/


static char sccsid_ereignisse[] = "@(#)ereignisse.h	1.10 05/17/94";


#define AKTION_FEHLER_ERG 0  /* Kaufaktion o.ae. nicht moeglich */
#define AKTION_OK_ERG     1  /* Kaufaktion o.ae. war erfolgreich */
#define SCHUSS_LOS_ERG    2  /* Spieler hat Schuss abgefeuert */
#define SCHUSS_WEG_ERG    3  /* Schuss hat Wand getroffen und ist weg */
#define GETROFFEN_ERG     4  /* Spieler wurde getroffen */
#define ABGESCHOSSEN_ERG  5  /* Spieler wurde getoetet */
#define TREFFER_ERG       6  /* Spieler hat Gegner getroffen */
#define ABSCHUSS_ERG      7  /* Spieler hat Gegner getoetet */
#define PAUSE_ERG         8  /* Spieler legt eine Pause ein */
#define SUSPENDIERT_ERG   9  /* Spieler wurde aus dem Spiel genommen */
#define ERWACHT_ERG       10 /* Spieler ist wieder im Spiel */

#define ERG_ANZ           11 /* Anzahl der Ereignisse */
