/*
**                      Softwarepraktikum iMaze
**                              1993/94
**                Joerg Czeranski    Hans-Ulrich Kiel
**
** Datei: rechne.h
**
** benoetigt:
**  grafik.h, spieler.h
**
** Kommentar:
**  Prototypen zu rechne3d und rechne_karte
*/


static char sccsid_rechne[] = "@(#)rechne.h	1.4 05/17/94";


/* Prototypen zu globalen Funktionen fuer die 3D-Berechnung */

#ifdef __STDC__

void rechne3d(struct objektdaten *objektdaten, struct spieler *ich,
	int anzgegner, struct spieler *gegner, int anzschuesse,
	struct schuss *schuesse);

#else

void rechne3d();

#endif

/* Prototypen zu globalen Funktionen fuer die Karten-Berechnung */

#ifdef __STDC__

void rechne_karte_linien(int *anzlinien, struct kartenlinie **linien);
void rechne_karte_kreise(int *anzkreise, struct kartenkreis **kreise,
	int anzspieler, struct spieler *spieler);

#else

void rechne_karte_linien();
void rechne_karte_kreise();

#endif
