/*
**                      Softwarepraktikum iMaze
**                              1993/94
**                Joerg Czeranski    Hans-Ulrich Kiel
**
** Datei: server.h
**
** Kommentar:
**  Definition des Prototypen fuer den Session-Prozess im Server
**  und der Konstanten fuer die Kommunikation zwischen den Prozessen
*/


static char sccsid_server[] = "@(#)server.h	1.8 05/17/94";


/* Nachrichten fuer Interprozess-Kommunikation: */

/* von server.c an session.c */
#define NT_SPIEL_BEENDEN 0 /* Spiel soll beendet werden */
#define NT_NEUER_SPIELER 1 /* neuer Spieler kommt ins Spiel */

/* von session.c an server.c */
#define NT_SPIEL_ENDE      16 /* Spiel wurde beendet */
#define NT_SPIELER_ENDE    17 /* Spieler hat das Spiel verlassen */
#define NT_SPIELER_TIMEOUT 18 /* Spieler wurde nach einem Timeout aus dem
                                 Spiel entfernt */


/* Prototyp fuer Session-Prozess */

#ifdef __STDC__

void session(void);

#else

void session();

#endif
